import { BaseModel } from './base-model';
var Relationship = (function () {
    function Relationship(model, related, type) {
        this.model = model;
        this.related = related;
        this.type = type;
    }
    Relationship.prototype.setRelated = function (related) {
        this.related = related;
    };
    Relationship.prototype.getRelated = function () {
        return this.related;
    };
    Relationship.prototype.setModel = function (model) {
        this.model = model;
    };
    Relationship.prototype.create = function () {
        // if the related model isn't instantiated,
        // instantiate it here
        if (!(this.related instanceof BaseModel)) {
            this.related = new this.related();
        }
        if (this.type == 'hasMany' || this.type == 'hasOne') {
            this.related.setUri(this.model.getSelfUri() + '/' + this.related.getUri());
            return this.related;
        }
        if (this.type == 'belongsTo') {
            return this.related;
        }
    };
    Relationship.prototype.getModel = function () {
    };
    Relationship.prototype.getUri = function () {
    };
    return Relationship;
}());
export { Relationship };
//# sourceMappingURL=relationship.js.map